// dbd.h
/*
Copyright (C) 2001-2004  Anders Hedstrom (grymse@alhem.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdio.h>
#include <string>
#include <mysql/mysql.h>
#include <libmysqlwrapped.h>

extern	char errstr[200];
extern	char warningstr[200];
extern	short cookieflags;
extern	FILE *out;
extern  char tmp_path[1000];
extern	std::string import_filename;


void run(Database&,FILE *,const std::string& input_data = "");
#ifdef WIN32
#define _DOTPATH "c:\\program files\\att\\graphviz\\bin\\dot.exe"
#endif

#define LIVEDB

#define TITLE "MySQL Designer"
#define APACHEDLPATH "/usr/local/apache/www.alhem.net/htdocs/download"

// ...

#ifdef WIN32
#define COOKIE_DOMAIN "127.0.0.1"
#define COOKIE_PATH "/"
#else
#define COOKIE_DOMAIN ".alhem.net"
#define COOKIE_PATH "/cgi-bin/dbd"
#endif

#define MYSQLADMIN "/usr/local/mysql/bin/mysqladmin --user=root"
#define MYSQL_program "/usr/local/mysql/bin/mysql --user=root"
#define MYSQLDUMP "/usr/local/mysql/bin/mysqldump --user=root"

#define APACHEPATH "/download"

#define UF_AUTOCREATENUM 1
#define UF_SHOWLINKED 2

#define FF_ALLOWNULL 1
#define FF_AUTO_INCREMENT 2
#define FF_BINARY 4
#define FF_UNSIGNED 8
#define FF_ZEROFILL 16

// cookieflags

#define CF_EXPAND_DB 1
#define CF_EXPAND_TBL 2
#define CF_EXPAND_FLD 4
#define CF_EXPAND_INDEX 8
#define CF_EXPAND_APP 16

