// importsql.cpp
/*
Copyright (C) 2001-2004  Anders Hedstrom (grymse@alhem.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifdef WIN32
#include <Config-win.h>
#endif
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <mysql/mysql.h>
#include <libmysqlwrapped.h>
#include <libdbd.h>
#include <string>
#include <libcgi++.h>
#include <list>

#include "utils.h"
#include "importsql.h"


	FILE *out = stdout;


int main(int argc,char *argv[])
{
	Database db("localhost","root","","dbd");
	long usernum = 0;

	if (argc < 2)
	{
		printf("Usage: %s <.sql file> <user#>\n",*argv);
		exit(-1);
	}
	if (strlen(argv[1]) < 4 || strcmp(argv[1] + strlen(argv[1]) - 4,".sql"))
	{
		printf("%s: First argument must be a .sql file\n",*argv);
		exit(-1);
	}

	if (argc > 2)
	{
		usernum = atol(argv[2]);
	}
	if (!usernum)
	{
		printf("%s: please give a user number\n",*argv);
		exit(-1);
	}
	import(db, argv[1], usernum);
}


