#include "ExecHandler.h"
#include "ExecSocket.h"
#include <ListenSocket.h>
#include <StdoutLog.h>


int main(int argc,char *argv[])
{
	StdoutLog log;
	ExecHandler h;
	h.RegStdLog(&log);
	ListenSocket<ExecSocket> l(h);
	bool quit = false;

	if (l.Bind(20009))
	{
		exit(-1);
	}
	h.Add(&l);

	while (!quit)
	{
		h.Select(1,0);
	}
}


