#ifndef _EXECHANDLER_H
#define _EXECHANDLER_H

#include <mysql/mysql.h>
#include <libmysqlwrapped.h>
#include <SocketHandler.h>


class ExecHandler : public SocketHandler
{
public:
	ExecHandler(Database&);
	~ExecHandler();

	Database& GetDatabase() { return m_db; }
	std::string datetime2httpdate(const std::string& dt);
	/** Get server startup datetime in httpdate format */
	std::string GetStart();
	/** Get current datetime yyyy-mm-dd hh:mm:ss */
	std::string GetDate();

private:
	Database& m_db;
	time_t m_start;

};




#endif // _EXECHANDLER_H
