// cgi-example.cpp
/*
Copyright (C) 2001-2004  Anders Hedstrom (grymse@alhem.net)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <mysql/mysql.h>
#include <unistd.h>

#include "Form.h"
#include "utils.h"


// resultclient <domain> <lpp> <sortop> <words>


int main(int argc,char *argv[])
{
	Form *form = NULL;
	char *r_h = getenv("REMOTE_HOST");
	char *q_s = getenv("QUERY_STRING");
	char *c_l = getenv("CONTENT_LENGTH");
	char *r_m = getenv("REQUEST_METHOD");

// before calling Form(), check how we are called - code from webmud@home

	if (!r_m)
	{
		printf("This program is part of a cgi script, and should not be\n");
		printf("be called from the command line\n");
		exit(0);
	}

// return type from this code is always 'text/html'

	printf("Content-type: text/html\r");
	printf("\r");

	if (!strcasecmp(r_m,"get"))
	{
		if (q_s)
			form = new Form(q_s,strlen(q_s));
		else
			error("q_s undefined");
	} else
		if (!strcasecmp(r_m,"post"))
			form = new Form();
		else
			error("unknown request_method");

// ok, go ahead and parse form input

/*
	if (!form -> getvalue("domain",domain,20))
		error("domain");
	if (!form -> getvalue("lpp",lpps,20))
		error("lpp");
	if (!form -> getvalue("sortop",sortops,20))
		error("sortop");
	if (!form -> getvalue("search",search,222))
		error("search");
*/
	delete form;
	return 0;
}

